// api接口请求封装
console.log(wx.getStorageSync('token'), 'token');

var useApi = (url, data = {}, method = "get") => {

    return new Promise((resolve, reject) => {
        wx.request({
            url: `http://192.168.4.12:8080${url}`,
            data,
            method,
            // header: {
            //     token: wx.getStorageSync('token') || '',
            //     'content-type': 'application/json',
            // },
            dataType: 'json', // 添加这个配置
            success(res) {
                // wx.hideLoading()

                resolve(res)
            },
            fail(err) {
                // wx.hideLoading()
                wx.showToast({
                    title: '加载失败',
                    icon: 'none'
                })
                reject(err)
            },
            complete() {
                wx.hideLoading({ //因为showToast、hideLoading不能同时使用
                    fail() { }
                })
            }
        })
    })
}


function getInfo(data) {
    return useApi('/getInfo', data)
}


module.exports = {
    useApi,
    getInfo,
}